Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.provider
Interface CascadingService

All Known Subinterfaces:
  DocumentService, MetricsService

All Known Implementing Classes:
  BaseState, CascadingServices.NullDocumentService, CascadingServices.NullMetricsService, ClientState

    public interface CascadingService

Interface CascadingService defines a pluggable "service" class that can be loaded by the `ServiceLoader` utility.

See Also:
  `ServiceLoader`

Method Summary
`boolean` | `isEnabled()` Returns true if this service has been enabled.
`void` | `setProperties(Map<Object,Object> properties)`
`void` | `startService()` May be called more than once, but only the first invocation will start the service.
`void` | `stopService()` May be called more than once, but only the first invocation will stop the service.

Method Detail

### setProperties

    void setProperties(Map<Object,Object> properties)

### startService

    void startService()

  May be called more than once, but only the first invocation will start the service.

### stopService

    void stopService()

  May be called more than once, but only the first invocation will stop the service.

### isEnabled

    boolean isEnabled()

  Returns true if this service has been enabled.

  Returns:
    boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.